Commit f15ddc42 authored by Natanael Copa's avatar Natanael Copa

main/python: upgrade to 2.6.4 and remove bsddb support

parent c74e4bd5
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=python
pkgver=2.6.3
pkgver=2.6.4
pkgrel=0
pkgdesc="A high-level scripting language"
url="http://www.python.org"
license="custom"
subpackages="$pkgname-dev $pkgname-doc"
depends=
makedepends="db-dev expat-dev openssl-dev zlib-dev ncurses-dev bzip2-dev !gettext"
makedepends="expat-dev openssl-dev zlib-dev ncurses-dev bzip2-dev !gettext"
source="http://www.$pkgname.org/ftp/$pkgname/$pkgver/Python-$pkgver.tar.bz2
$pkgname-2.6-internal-expat.patch
"
build() {
prepare() {
cd "$srcdir/Python-$pkgver"
for i in ../*.patch; do
msg "Apply $i"
patch -p1 < $i || return 1
done
}
build() {
cd "$srcdir/Python-$pkgver"
./configure --prefix=/usr \
--enable-shared \
--with-threads \
......@@ -26,8 +29,12 @@ build() {
--disable-gdbm
make || return 1
}
package() {
cd "$srcdir/Python-$pkgver"
make DESTDIR="$pkgdir" install
install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
}
md5sums="8755fc03075b1701ca3f13932e6ade9f Python-2.6.3.tar.bz2
md5sums="fee5408634a54e721a93531aba37f8c1 Python-2.6.4.tar.bz2
9d64df5e0a6aed149a792c7bff16e3d9 python-2.6-internal-expat.patch"
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment